<libosinfo version="0.0.1">
<!-- Licensed under the GNU General Public License version 2 or later.
     See http://www.gnu.org/licenses/ for a copy of the license text -->
  <install-script id='http://microsoft.com/windows/sif/desktop'>
    <profile>desktop</profile>
    <path-format>dos</path-format>
    <product-key-format>$$$$$-$$$$$-$$$$$-$$$$$-$$$$$</product-key-format>
    <expected-filename>winnt.sif</expected-filename>
    <can-pre-install-drivers/>
    <config>
      <param name="admin-password" policy="optional"/>
      <param name="reg-product-key" policy="required"/>
      <param name="user-realname" policy="required"/>
      <param name="hostname" policy="required"/>
      <param name="script-disk" policy="optional"/>
      <param name="driver-signing" policy="optional"/>
    </config>
    <injection-method>floppy</injection-method>
    <template>
      <xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

        <xsl:output method="text"/>

        <xsl:template name="script-disk">
          <xsl:choose>
            <xsl:when test="config/script-disk != ''">
              <xsl:value-of select="config/script-disk"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>A</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:template>

        <xsl:template name="password">
         <xsl:choose>
          <xsl:when test="os/version = 5.1">
           <xsl:choose>
            <xsl:when test="config/admin-password = ''" >
             <xsl:text>*</xsl:text>
            </xsl:when>
            <xsl:otherwise>
             <xsl:value-of select="config/admin-password"/>
            </xsl:otherwise>
           </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
           <xsl:value-of select="config/admin-password"/>
          </xsl:otherwise>
         </xsl:choose>
        </xsl:template>

	<xsl:template match="/install-script-config">
;SetupMgrTag
[Data]
    AutoPartition=1
<xsl:choose>
  <xsl:when test="os/version &gt; 5.0"> <!-- winxp, win2k3, win2k3r2 -->
    MsDosInitiated="0"
    UnattendedInstall="Yes"
  </xsl:when>
  <xsl:otherwise> <!-- win2k -->
    MsDosInitiated=No
    UnattendedInstall=Yes
  </xsl:otherwise>
</xsl:choose>

[Unattended]
    UnattendMode=FullUnattended
    OemSkipEula=Yes
    OemPreinstall=No
<xsl:choose>
  <xsl:when test="os/version &gt; 5.0"> <!-- winxp, win2k3, win2k3r2 -->
    TargetPath=\WINDOWS
  </xsl:when>
  <xsl:otherwise> <!-- win2k -->
    TargetPath=\WINNT
  </xsl:otherwise>
</xsl:choose>
<xsl:if test="config/driver-signing = 'false'">
    DriverSigningPolicy=Ignore
</xsl:if>
    Repartition=Yes
    WaitForReboot="No"
    UnattendSwitch="Yes"

[GuiUnattended]
    AdminPassword="<xsl:call-template name="password"/>"
<xsl:if test="os/version = 5.0">
    AutoLogon=Yes
</xsl:if>
    EncryptedAdminPassword=NO
    OEMSkipRegional=1
    TimeZone=35
    OemSkipWelcome=1

[UserData]
<xsl:choose>
  <xsl:when test="os/version &gt; 5.0"> <!-- winxp, win2k3, win2k3r2 -->
    ProductKey=<xsl:value-of select="config/reg-product-key"/>
    OrgName=""
  </xsl:when>
  <xsl:otherwise> <!-- win2k -->
    ProductID=
  </xsl:otherwise>
</xsl:choose>
    FullName="<xsl:value-of select="config/user-realname"/>"
    ComputerName="<xsl:value-of select="config/hostname"/>"

<xsl:if test="os/version = 5.0">
[Display]
    BitsPerPel=16
    Xresolution=640
    YResolution=480
    Vrefresh=60

[RegionalSettings]
    LanguageGroup=1
</xsl:if>

<xsl:if test="os/version &gt; 5.0">
[LicenseFilePrintData]
    AutoMode=PerServer
    AutoUsers=5
</xsl:if>

[Identification]
    JoinWorkgroup=WORKGROUP

[Networking]
    InstallDefaultComponents=Yes

<xsl:if test="os/version &gt; 5.0">
[SetupParams]
    UserExecute = "<xsl:call-template name="script-disk"/>:\windows.cmd >c:\windows\osinfo.log 2>&amp;1"

[WindowsFirewall]
    Profiles = WindowsFirewall.TurnOffFirewall

[WindowsFirewall.TurnOffFirewall]
    Mode = 0
</xsl:if>
	</xsl:template>
      </xsl:stylesheet>
    </template>
  </install-script>
</libosinfo>
